http_post_fields
http_put_file
HTTP Fonctions
PHP Manual

# http_put_data

(PECL pecl_http >= 0.25.0)

http_put_data — Effectue une requête PUT avec des données

### Description

string http_put_data ( string `$url` , string `$data` [, array `$options` [, array `&$info` ]] )

Effectue une requête HTTP PUT sur l'URL fournie.

Voir la liste complète des options de demande.

### Liste de paramètres

`url`

  URL

`data`

  corps de la requête PUT

`options`

  options de demande

`info`

  information de demande/réponse

### Valeurs de retour

Retourne la(les) réponse(s) HTTP sous la forme d'une chaîne de caractères en cas de succès, ou `FALSE` si une erreur survient.

http_post_fields
http_put_file
HTTP Fonctions
PHP Manual